org.apache.struts2.el.parser

## Class AstValue

- java.lang.Object
- - org.apache.struts2.el.lang.ELSupport
  - - org.apache.struts2.el.parser.SimpleNode
    - - org.apache.struts2.el.parser.AstValue

- All Implemented Interfaces:
    Node

      public final class AstValue
      extends SimpleNode

  Version:
    $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: markt $
  Author:
    Jacob Hookom [jacob@hookom.net]

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `AstValue.Target`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static boolean` | `COERCE_TO_ZERO`

    - ### Fields inherited from class org.apache.struts2.el.parser.SimpleNode

      `children, id, image, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AstValue(int id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.el.MethodInfo` | `getMethodInfo(EvaluationContext ctx, Class[] paramTypes)`
    `Class` | `getType(EvaluationContext ctx)`
    `Object` | `getValue(EvaluationContext ctx)`
    `Object` | `invoke(EvaluationContext ctx, Class[] paramTypes, Object[] paramValues)`
    `boolean` | `isReadOnly(EvaluationContext ctx)`
    `void` | `setValue(EvaluationContext ctx, Object value)`

    - ### Methods inherited from class org.apache.struts2.el.parser.SimpleNode

      `accept, dump, getImage, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setImage, toString, toString`

    - ### Methods inherited from class org.apache.struts2.el.lang.ELSupport

      `checkType, coerceToBoolean, coerceToCharacter, coerceToEnum, coerceToNumber, coerceToNumber, coerceToNumber, coerceToNumber, coerceToString, coerceToType, compare, containsNulls, equals, isBigDecimalOp, isBigIntegerOp, isDoubleOp, isDoubleStringOp, isLongOp, isStringFloat, throwUnhandled, toFloat, toNumber`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### COERCE_TO_ZERO

          protected static final boolean COERCE_TO_ZERO

  - ### Constructor Detail

    - #### AstValue

          public AstValue(int id)

  - ### Method Detail

    - #### getType

          public Class getType(EvaluationContext ctx)
                        throws javax.el.ELException

      Specified by:
        `getType` in interface `Node`
      Overrides:
        `getType` in class `SimpleNode`
      Throws:
        `javax.el.ELException`

    - #### getValue

          public Object getValue(EvaluationContext ctx)
                          throws javax.el.ELException

      Specified by:
        `getValue` in interface `Node`
      Overrides:
        `getValue` in class `SimpleNode`
      Throws:
        `javax.el.ELException`

    - #### isReadOnly

          public boolean isReadOnly(EvaluationContext ctx)
                             throws javax.el.ELException

      Specified by:
        `isReadOnly` in interface `Node`
      Overrides:
        `isReadOnly` in class `SimpleNode`
      Throws:
        `javax.el.ELException`

    - #### setValue

          public void setValue(EvaluationContext ctx,
                               Object value)
                        throws javax.el.ELException

      Specified by:
        `setValue` in interface `Node`
      Overrides:
        `setValue` in class `SimpleNode`
      Throws:
        `javax.el.ELException`

    - #### getMethodInfo

          public javax.el.MethodInfo getMethodInfo(EvaluationContext ctx,
                                                   Class[] paramTypes)
                                            throws javax.el.ELException

      Specified by:
        `getMethodInfo` in interface `Node`
      Overrides:
        `getMethodInfo` in class `SimpleNode`
      Throws:
        `javax.el.ELException`

    - #### invoke

          public Object invoke(EvaluationContext ctx,
                               Class[] paramTypes,
                               Object[] paramValues)
                        throws javax.el.ELException

      Specified by:
        `invoke` in interface `Node`
      Overrides:
        `invoke` in class `SimpleNode`
      Throws:
        `javax.el.ELException`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.